Subject: bug#27361: 24.4; eshell/echo silently ignores -n argument

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 15 Sep 2020 17:27:12 +0200

Glenn Morris <[email-masked]> writes:

> It seems easy to get the behaviour that you want, for the
> eshell-plain-echo-behavior case, which is the only relevant one.
> At the same time, we can fix eshell/printnl for that case,
> to avoid the doubled newlines that it currently gives.
>
> I don't know how to explain in --help what -n means though. :)

[...]

> -      (concat (apply 'eshell-flatten-and-stringify args) "\n")
> +      (concat (apply 'eshell-flatten-and-stringify args)
> +	      (unless output-newline "\n"))

Hm...  with or without the patch, and with eshell-plain-echo-behavior
set, I don't see any difference?

I still get this in eshell:

~/src/emacs/trunk $ echo -n foo; echo bar
foo
bar

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no